# Autofs module for Puppet

## Description
Puppet module for managing Autofs mountpoints and files.

### Some Contrived Example usage

 	autofs::include	{ 'portage':
		mount_base => '/mnt/auto/portage',
		options => '--timeout=30 --ghost',
	}
	
	autofs::mount { 'distfiles':
		device  => "portage:/mnt/repositories/distfiles",
		options => 'rsize=8192,wsize=8192,soft,timeo=30,rw,vers=3',
		mapfile => 'portage',
	}
	
	autofs::mount { 'packages':
		device  => "portage:/mnt/repositories/packages",
		options => 'rsize=8192,wsize=8192,soft,timeo=30,ro,vers=3',
		mapfile => 'portage',
	}
	
### Resulting files

#### /etc/autofs/auto.master

    # This file is automatically generated by Puppet
	#
	# Any changes made to this file will be lost on the next automated Puppet run!
	
	/mnt/auto/portage /etc/autofs/auto.portage --timeout=30 --ghost

#### /etc/autofs/auto.portage

	# This file is automatically generated by Puppet
	#
	# Any changes made to this file will be lost on the next automated Puppet run!
	
	distfiles -rsize=8192,wsize=8192,soft,timeo=30,ro,vers=3 portage:/mnt/repositories/distfiles
	packages -rsize=8192,wsize=8192,soft,timeo=30,ro,vers=3 portage:/mnt/repositories/packages
